/* Carousel 1 */
.carousel-1 {
	width: 100%;
	height: calc(var(--nav-height) + 30rem);
}
.carousel-1 .carousel-inner {
	height: 100%;
	width: 100%;
	position: relative;
}
.carousel-1 .carousel-inner .carousel-buttons {
	position: absolute;
	bottom: 1rem;
	left: var(--gutter-width);
	z-index: +1;
}
.carousel-1 .carousel-inner .carousel-buttons a button {
	display: block;
	background-color: var(--carousel-bg);
	color: var(--carousel-text);
	border: 0;
	outline: 0;
	width: 2.5rem;
	height: 2.5rem;
	margin-bottom: 5px;
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
}
.carousel-1 .carousel-inner .carousel-buttons a button:hover {
	background-color: var(--carousel-text);
	color: var(--carousel-bg);
}
.carousel-1 .carousel-inner .carousel-titles {
	list-style: none;
	display: flex;
	margin: 0;
	padding: 0;
	gap: 5px;
}
.carousel-1 .carousel-inner .carousel-titles li {
	height: 100%;
}
.carousel-1 .carousel-inner .carousel-titles button {
	position: relative;
	border: 0;
	outline: 0;
	background-color: var(--carousel-bg);
	color: var(--carousel-text);
	padding: 1rem 1.4rem;
	max-width: 10rem;
	font-weight: 500;
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
	overflow: hidden;
}
.carousel-1 .carousel-inner .carousel-titles button:hover {
	background-color: var(--carousel-text);
	color: var(--carousel-bg);
}
.carousel-1 .carousel-inner .carousel-titles button::after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	height: 7px;
	background-color: transparent;
	transition: var(--transition-def);
	-webkit-transition: var(--transition-def);
	-moz-transition: var(--transition-def);
	-ms-transition: var(--transition-def);
	-o-transition: var(--transition-def);
}
.carousel-1 .carousel-inner .carousel-titles button.active::after {
	background-color: var(--primary-color);
}
.carousel-1 .carousel-item {
	display: flex;
	justify-content: start;
	height: 100%;
}
.carousel-1 .carousel-item .carousel-image {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    background-repeat: no-repeat;
}
.carousel-1 .carousel-item.active .carousel-image {
    animation: zoomIn 40s ease-out 1 forwards;
    -webkit-animation: zoomIn 40s ease-out 1 forwards;
}
@keyframes zoomIn {
    0% {
        transform: scale(1); /* No zoom */
    }
    100% {
        transform: scale(1.15); /* Zoom in effect */
    }
}
.carousel-1 .carousel-item .carousel-image::after {
    content: "";
    background-color: rgba(var(--primary-color-rgb),0);
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
    pointer-events: none;
}
.carousel-1 .carousel-item .carousel-image img {
	width: 100%;
	height: 100%;
	min-height: 30rem;
	object-fit: cover;
	object-position: fixed;
}
.carousel-1 .carousel-item .carousel-text {
	position: relative;
	padding: calc(var(--nav-height) + 1rem) var(--gutter-width) 1rem var(--gutter-width);
	display: flex;
	flex-direction: column;
	justify-content: center;
	z-index: +1;
	width: 20rem;
	min-width: 65%;
	max-width: 100%;
    transition: var(--transition-def);
	background: linear-gradient(90deg, rgba(var(--carousel-bg-rgb),0.7), rgba(0, 0, 0, 0));
}
.carousel-1 .carousel-item .carousel-text h2 {
	font-size: 2.5rem;
	font-weight: 500;
	color: var(--carousel-text);
	margin-bottom: 0.5rem;
}
.carousel-1 .carousel-item .carousel-text h3 {
	font-size: 1.9rem;
	font-weight: 300;
	color: var(--carousel-text);
	margin-bottom: 0.5rem;
}
.carousel-1 .carousel-item .carousel-text h3 a {
	font-weight: 400;
	color: var(--carousel-text);
}
.carousel-1 .carousel-item .carousel-text h3 a:hover {
	color: rgba(var(--carousel-text-rgb), 0.5);
}
.carousel-1 .carousel-item .carousel-text p {
	font-size: calc(2rem + 2vw);
	line-height: calc(2rem + 2vw);
	font-weight: 500;
	margin-left: -0.3vw;
	color: var(--carousel-text);
}
.carousel-1 .carousel-item .carousel-text .carousel-btn {
	width: fit-content;
	padding: 1rem 1rem 1rem 2rem;
	font-size: 1.1rem;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	text-wrap: nowrap;
	position: relative;
	background-color: var(--carousel-bg);
	color: var(--page-bg-color);
	transition: var(--transition-def);
	-webkit-transition: var(--transition-def);
	-moz-transition: var(--transition-def);
	-ms-transition: var(--transition-def);
	-o-transition: var(--transition-def);
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
	border: 0;
	outline: 0;
}
.carousel-1 .carousel-item .carousel-text .carousel-btn:hover {
	opacity: 0.9;
}
.carousel-1 .carousel-item .carousel-text .carousel-btn i {
	margin-left: 0.8rem;
	font-size: 1.1rem;
	transition: 0.2s;
	-webkit-transition: 0.2s;
	-moz-transition: 0.2s;
	-ms-transition: 0.2s;
	-o-transition: 0.2s;
}
.carousel-1 .carousel-item .carousel-text .carousel-btn:hover i {
	transform: translateX(10rem);
	-webkit-transform: translateX(10rem);
	-moz-transform: translateX(10rem);
	-ms-transform: translateX(10rem);
	-o-transform: translateX(10rem);
	opacity: 0;
	transition: 0.8s;
	-webkit-transition: 0.8s;
	-moz-transition: 0.8s;
	-ms-transition: 0.8s;
	-o-transition: 0.8s;
}
.carousel-1 .carousel-item .carousel-text .controllers {
	padding-top: 1rem;
	display: flex;
	gap: 1rem;
}
.carousel-1 .carousel-item .carousel-text .controllers {
	padding-top: 1rem;
}
.carousel-1 .carousel-item .carousel-text .controllers button {
	height: 2.5rem;
	width: 2.5rem;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.1rem;
	border: 2px solid var(--carousel-bg);
	background-color: transparent;
	color: var(--carousel-bg);
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
}
.carousel-1 .carousel-item .carousel-text .controllers button:hover {
	background-color: var(--carousel-bg);
	color: var(--page-bg-color);
}
@media (max-width: 500px) {
	.carousel-1 .carousel-item .carousel-text {
		padding: calc(var(--nav-height) + 5vh) var(--gutter-width) 1rem var(--gutter-width);
		width: 100%;
	}
	.carousel-1 .carousel-item .carousel-text h3 {
		font-size: 1.7rem;
		text-align: center;
	}
}
@media (max-width: 300px) {
	.carousel-titles {
		display: none !important;
	}
}

/* Carousel 2 */
.carousel-2 {
	padding-top: var(--nav-height);
}
.carousel-2 .carousel-inner {
	height: 100%;
	overflow: unset;
}
.carousel-2 .carousel-item {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	height: 100%;
}
.carousel-2 .carousel-item .carousel-image {
	width: 20rem;
	min-width: 35%;
	max-width: 100%;
	height: 100%;
	padding: 1rem 0;
	flex-grow: 1;
}
.carousel-2 .carousel-item .carousel-image img {
	max-width: 100%;
	max-height: 100%;
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
}
.carousel-2 .carousel-item .carousel-text {
	width: 20rem;
	min-width: 65%;
	max-width: 100%;
	padding: 1rem;
}
.carousel-2 .carousel-item .carousel-text h3 {
	font-size: 0.9rem;
	text-transform: uppercase;
	font-weight: 600;
	color: var(--carousel-text);
	margin-bottom: 0.5rem;
}
.carousel-2 .carousel-item .carousel-text p {
	font-size: calc(2rem + 2vw);
	line-height: calc(2rem + 2vw);
	font-weight: 500;
	margin-left: -0.3vw;
}
.carousel-2 .carousel-item .carousel-text button {
	padding: 1rem 1rem 1rem 2rem;
	font-size: 1.1rem;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	text-wrap: nowrap;
	position: relative;
	background-color: var(--carousel-text);
	color: var(--page-bg-color);
	transition: var(--transition-def);
	-webkit-transition: var(--transition-def);
	-moz-transition: var(--transition-def);
	-ms-transition: var(--transition-def);
	-o-transition: var(--transition-def);
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
	border: 0;
	outline: 0;
}
.carousel-2 .carousel-item .carousel-text button:hover {
	opacity: 0.9;
}
.carousel-2 .carousel-item .carousel-text button i {
	margin-left: 0.8rem;
	font-size: 1.1rem;
	transition: 0.2s;
	-webkit-transition: 0.2s;
	-moz-transition: 0.2s;
	-ms-transition: 0.2s;
	-o-transition: 0.2s;
}
.carousel-2 .carousel-item .carousel-text button:hover i {
	transform: translateX(10rem);
	-webkit-transform: translateX(10rem);
	-moz-transform: translateX(10rem);
	-ms-transform: translateX(10rem);
	-o-transform: translateX(10rem);
	opacity: 0;
	transition: 0.8s;
	-webkit-transition: 0.8s;
	-moz-transition: 0.8s;
	-ms-transition: 0.8s;
	-o-transition: 0.8s;
}

/* Carousel 3 */
.carousel-3 {
	max-height: 100vh;
	padding-top: var(--nav-height);
}
.carousel-3 .carousel-inner {
	height: 100%;
	overflow: unset;
}
.carousel-3 .carousel-item {
	height: 100%;
}
.carousel-3 .carousel-item .carousel-image {
	width: 100%;
	height: 20rem;
	padding: 1rem 0;
}
.carousel-3 .carousel-item .carousel-image img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: center;
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
}
.carousel-3 .carousel-item .controllers {
	pointer-events: none;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0.5rem;

	right: 0.5rem;

	display: flex;
	justify-content: space-between;
	align-items: center;
}
.carousel-3 .carousel-item .controllers button {
	pointer-events: all;
	border: 0;
	outline: 0;
	border-radius: var(--br-def2);
	-webkit-border-radius: var(--br-def2);
	-moz-border-radius: var(--br-def2);
	-ms-border-radius: var(--br-def2);
	-o-border-radius: var(--br-def2);
	background-color: var(--carousel-bg);
	color: var(--carousel-text);
	padding: 0.5rem;
	height: 2rem;
	width: 2rem;
	display: flex;
	align-items: center;
	justify-content: center;
}
.carousel-3 .carousel-item .controllers button:hover {
	transform: scale(0.8);
	-webkit-transform: scale(0.8);
	-moz-transform: scale(0.8);
	-ms-transform: scale(0.8);
	-o-transform: scale(0.8);
}

/* Carousel 4 */
.carousel-4 {
	width: 100%;
	height: 100vh;
}
.carousel-4 .carousel-inner {
	height: 100%;
	width: 100%;
	position: relative;
}
.carousel-4 .carousel-item {
	display: flex;
	flex-wrap: wrap;
	align-items: end;
	height: 100%;
}
.carousel-4 .carousel-item .carousel-image {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
}
.carousel-4 .carousel-item .carousel-image img {
	width: 100%;
	height: 100%;
	min-height: 30rem;
	object-fit: cover;
	object-position: center;
}
.carousel-4 .carousel-item .carousel-text {
	position: relative;
	z-index: +1;
	width: 20rem;
	min-width: 65%;
	max-width: 100%;
	padding: 1rem;
}
.carousel-4 .carousel-item .carousel-text h3 {
	font-size: 0.9rem;
	text-transform: uppercase;
	font-weight: 600;
	color: var(--carousel-bg);
	margin-bottom: 0.5rem;
}
.carousel-4 .carousel-item .carousel-text p {
	font-size: calc(2rem + 2vw);
	line-height: calc(2rem + 2vw);
	font-weight: 500;
	margin-left: -0.3vw;
	color: var(--carousel-text);
}
.carousel-4 .carousel-item .carousel-text .carousel-btn {
	padding: 1rem 1rem 1rem 2rem;
	font-size: 1.1rem;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: hidden;
	text-wrap: nowrap;
	position: relative;
	background-color: var(--carousel-bg);
	color: var(--page-bg-color);
	transition: var(--transition-def);
	-webkit-transition: var(--transition-def);
	-moz-transition: var(--transition-def);
	-ms-transition: var(--transition-def);
	-o-transition: var(--transition-def);
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
	border: 0;
	outline: 0;
}
.carousel-4 .carousel-item .carousel-text .carousel-btn:hover {
	opacity: 0.9;
}
.carousel-4 .carousel-item .carousel-text .carousel-btn i {
	margin-left: 0.8rem;
	font-size: 1.1rem;
	transition: 0.2s;
	-webkit-transition: 0.2s;
	-moz-transition: 0.2s;
	-ms-transition: 0.2s;
	-o-transition: 0.2s;
}
.carousel-4 .carousel-item .carousel-text .carousel-btn:hover i {
	transform: translateX(10rem);
	-webkit-transform: translateX(10rem);
	-moz-transform: translateX(10rem);
	-ms-transform: translateX(10rem);
	-o-transform: translateX(10rem);
	opacity: 0;
	transition: 0.8s;
	-webkit-transition: 0.8s;
	-moz-transition: 0.8s;
	-ms-transition: 0.8s;
	-o-transition: 0.8s;
}
.carousel-4 .carousel-item .carousel-text .controllers {
	padding-top: 1rem;
	display: flex;
	gap: 1rem;
}
.carousel-4 .carousel-item .carousel-text .controllers {
	padding-top: 1rem;
}
.carousel-4 .carousel-item .carousel-text .controllers button {
	height: 2.5rem;
	width: 2.5rem;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.1rem;
	border: 2px solid var(--carousel-bg);
	background-color: transparent;
	color: var(--carousel-bg);
	border-radius: var(--br-def);
	-webkit-border-radius: var(--br-def);
	-moz-border-radius: var(--br-def);
	-ms-border-radius: var(--br-def);
	-o-border-radius: var(--br-def);
}
.carousel-4 .carousel-item .carousel-text .controllers button:hover {
	background-color: var(--carousel-bg);
	color: var(--page-bg-color);
}
